From 07741c2b292b9cd17e5ad0c9418d08880a97453f Mon Sep 17 00:00:00 2001
From: Chen Qun <kuhn.chenqun@huawei.com>
Date: Mon, 30 Mar 2020 18:28:32 +0800
Subject: [PATCH 01/28] virsh: add '--nvram' in undefine for aarch64

It's need add '--nvram' for undefine option for aarch64.

Signed-off-by: Chen Qun <kuhn.chenqun@huawei.com>
---
 virttest/virsh.py | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/virttest/virsh.py b/virttest/virsh.py
index ddefcda4..096ed19f 100644
--- a/virttest/virsh.py
+++ b/virttest/virsh.py
@@ -30,6 +30,7 @@ import select
 import locale
 import base64
 import aexpect
+import platform
 
 from avocado.utils import path
 from avocado.utils import process
@@ -1428,6 +1429,11 @@ def undefine(name, options=None, **dargs):
     :return: CmdResult object
     """
     cmd = "undefine %s" % name
+    if "aarch" in platform.machine():
+        if options is None:
+            options = "--nvram"
+        if "--nvram" not in options:
+            options += " --nvram"
     if options is not None:
         cmd += " %s" % options
 
-- 
2.23.0

